taccuino.ws

## Class ITaccuino

- java.lang.Object
- - taccuino.ws.ITaccuino

-     public class ITaccuino
      extends Object

  Espone i servizi per gestire le operazioni di CRUD per le note e i documenti
  Author:
    Fabio Frijo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITaccuino()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddDetectionResponse` | `addDetection(AddDetectionRequest request)` Il servizio consente di inserire una nuova rilevazione nel database.
    `AddDocumentResponse` | `addDocument(AddDocumentRequest request)` Il servizio consente di inserire un nuovo documento a una nota già esistente ed attiva nel database
    `AddDrugResponse` | `addDrug(AddDrugRequest request)` Il servizio consente di inserire un nuovo farmaco nel database.
    `AddEventResponse` | `addEvent(AddEventRequest request)` Il servizio consente di inserire un nuovo evento nel database.
    `AddHealthcareContactResponse` | `addHealthcareContact(AddHealthcareContactRequest request)` Il servizio consente di inserire un nuovo contatto sanitario nel database.
    `AddNoteResponse` | `addNote(AddNoteRequest request)` Il servizio consente di inserire una nuova nota nel database
    `AddOtherContactResponse` | `addOtherContact(AddOtherContactRequest request)` Il servizio consente di inserire un nuovo contatto di medicina non convenzionale nel database per un paziente.
    `AddOtherProductResponse` | `addOtherProduct(AddOtherProductRequest request)` Il servizio consente di inserire un nuovo prodotto nel database associato ad una nota.
    `AddPainResponse` | `addPain(AddPainRequest request)` Il servizio consente di inserire una nuova registrazione di dolore nel database associato ad una nota.
    `AddProsthesisAidResponse` | `addProsthesisAid(AddProsthesisAidRequest request)` Il servizio consente di inserire un nuovo ausilio protesico associato ad una nota nel database.
    `AddSymptomResponse` | `addSymptom(AddSymptomRequest request)` Il servizio consente di inserire un nuovo sintomo associato ad una nota nel database.
    `AddTravelPersonalInfoResponse` | `addTravelPersonalInfo(AddTravelPersonalInfoRequest request)` Il servizio consente di inserire le informazioni personali di viaggio di un paziente associate ad una nota nel database.
    `DeleteDetectionResponse` | `deleteDetection(DeleteDetectionRequest request)` Il servizio consente di effettuare una eliminazione logica della rilevazione associata a un paziente dal database.
    `DeleteDocumentResponse` | `deleteDocument(DeleteDocumentRequest request)` Il servizio consente di effettuare una eliminazione logica del documento nel database
    `DeleteDrugResponse` | `deleteDrug(DeleteDrugRequest request)` Il servizio consente di effettuare una eliminazione logica del farmaco associato a un paziente dal database.
    `DeleteEventResponse` | `deleteEvent(DeleteEventRequest request)` Il servizio consente di effettuare una eliminazione logica del evento associato a un paziente dal database.
    `DeleteHealthcareContactResponse` | `deleteHealthcareContact(DeleteHealthcareContactRequest request)` Il servizio consente di effettuare una eliminazione logica del contatto con una struttura sanitaria associato a un paziente dal database.
    `DeleteNoteResponse` | `deleteNote(DeleteNoteRequest request)` Il servizio consente di effettuare una eliminazione logica della nota sul database
    `DeleteOtherContactResponse` | `deleteOtherContact(DeleteOtherContactRequest request)` Il servizio consente di effettuare una eliminazione logica del contatto di medicina non convenzionale associato a un paziente dal database.
    `DeleteOtherProductResponse` | `deleteOtherProduct(DeleteOtherProductRequest request)` Il servizio consente di effettuare una eliminazione logica dell'altro prodotto associato a un paziente dal database.
    `DeletePainResponse` | `deletePain(DeletePainRequest request)` Il servizio consente di effettuare una eliminazione logica del dolore associato a un paziente dal database.
    `DeleteProsthesisAidResponse` | `deleteProsthesisAid(DeleteProsthesisAidRequest request)` Il servizio consente di effettuare una eliminazione logica dell'ausilio o protesi associato a un paziente dal database.
    `DeleteSymptomResponse` | `deleteSymptom(DeleteSymptomRequest request)` Il servizio consente di effettuare una eliminazione logica del sintomo associato a un paziente dal database.
    `DeleteTravelPersonalInfoResponse` | `deleteTravelPersonalInfo(DeleteTravelPersonalInfoRequest request)` Il servizio consente di effettuare una eliminazione logica delle informazioni sul viaggio personale di un paziente dal database.
    `DownloadDocumentResponse` | `downloadDocument(DownloadDocumentRequest request)` Il servizio consente di effettuare il download di un documento attivo e associato al paziente in input
    `GetNoteListResponse` | `getNoteList(GetNoteListRequest request)` Il servizio consente di visualizzare l'elenco delle note attive e associate al paziente in input
    `UpdateDetectionResponse` | `updateDetection(UpdateDetectionRequest request)` Il servizio consente di modificare una rilevazione per un paziente.
    `UpdateDocumentResponse` | `updateDocument(UpdateDocumentRequest request)` Il servizio consente di modificare un documento esistente sul database
    `UpdateDrugResponse` | `updateDrug(UpdateDrugRequest request)` Il servizio consente di modificare un farmaco per un paziente.
    `UpdateEventResponse` | `updateEvent(UpdateEventRequest request)` Il servizio consente di modificare un evento per un paziente.
    `UpdateHealthcareContactResponse` | `updateHealthcareContact(UpdateHealthcareContactRequest request)` Il servizio consente di modificare un contatto sanitario per un paziente.
    `UpdateNoteResponse` | `updateNote(UpdateNoteRequest request)` Il servizio consente di modificare una nota esistente sul database
    `UpdateOtherContactResponse` | `updateOtherContact(UpdateOtherContactRequest request)` Il servizio consente di modificare contatto di medicina non convenzionale per un paziente.
    `UpdateOtherProductResponse` | `updateOtherProduct(UpdateOtherProductRequest request)` Il servizio consente di modificare un altro prodotto per un paziente.
    `UpdatePainResponse` | `updatePain(UpdatePainRequest request)` Il servizio consente di modificare un dolore per un paziente.
    `UpdateProsthesisAidResponse` | `updateProsthesisAid(UpdateProsthesisAidRequest request)` Il servizio consente di modificare una protesi o ausilio per un paziente.
    `UpdateSymptomResponse` | `updateSymptom(UpdateSymptomRequest request)` Il servizio consente di modificare un sintomo per un paziente.
    `UpdateTravelPersonalInfoResponse` | `updateTravelPersonalInfo(UpdateTravelPersonalInfoRequest request)` Il servizio consente di modificare le informazioni personali relative a un viaggio per un paziente.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ITaccuino

          public ITaccuino()

  - ### Method Detail

    - #### addDocument

          public AddDocumentResponse addDocument(AddDocumentRequest request)

      Il servizio consente di inserire un nuovo documento a una nota già esistente ed attiva nel database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui inserire un nuovo documento
        - Oggetto contenente il nuovo documento da inserire
      Returns:
        AddDocumentResponseDTO che include l'ID del documento inserito.

    - #### addNote

          public AddNoteResponse addNote(AddNoteRequest request)

      Il servizio consente di inserire una nuova nota nel database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - Oggetto contenente i dati del cittadino
        - Oggetto contenente la nuova nota da inserire
      Returns:
        AddNoteResponseDTO che include l'ID della nota inserita.

    - #### addDetection

          public AddDetectionResponse addDetection(AddDetectionRequest request)

      Il servizio consente di inserire una nuova rilevazione nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associata la rilevazione
        - Oggetto contenente i dati della rilevazione da inserire
      Returns:
        AddDetectionResponse che include i dettagli della rilevazione inserita.

    - #### addDrug

          public AddDrugResponse addDrug(AddDrugRequest request)

      Il servizio consente di inserire un nuovo farmaco nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il farmaco
        - Oggetto contenente i dati del farmaco da inserire
      Returns:
        AddDrugResponse che include i dettagli del farmaco inserito.

    - #### addEvent

          public AddEventResponse addEvent(AddEventRequest request)

      Il servizio consente di inserire un nuovo evento nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato l'evento
        - Oggetto contenente i dati dell'evento da inserire
      Returns:
        AddEventResponse che include i dettagli dell'evento inserito.

    - #### addHealthcareContact

          public AddHealthcareContactResponse addHealthcareContact(AddHealthcareContactRequest request)

      Il servizio consente di inserire un nuovo contatto sanitario nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il contatto sanitario
        - Oggetto contenente i dati del contatto sanitario da inserire
      Returns:
        AddHealthcareContactResponse che include i dettagli del contatto sanitario inserito.

    - #### addOtherContact

          public AddOtherContactResponse addOtherContact(AddOtherContactRequest request)

      Il servizio consente di inserire un nuovo contatto di medicina non convenzionale nel database per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il contatto di medicina non convenzionale
        - Oggetto contenente i dati del contatto di medicina non convenzionale da inserire
      Returns:
        AddOtherContactResponse che include i dettagli del contatto di medicina non convenzionale inserito.

    - #### addOtherProduct

          public AddOtherProductResponse addOtherProduct(AddOtherProductRequest request)

      Il servizio consente di inserire un nuovo prodotto nel database associato ad una nota.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il prodotto
        - Oggetto contenente i dati del prodotto da inserire
      Returns:
        AddOtherProductResponse che include i dettagli del prodotto inserito.

    - #### addPain

          public AddPainResponse addPain(AddPainRequest request)

      Il servizio consente di inserire una nuova registrazione di dolore nel database associato ad una nota.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il dolore
        - Oggetto contenente i dati del dolore da registrare
      Returns:
        AddPainResponse che include i dettagli della registrazione del dolore inserito.

    - #### addProsthesisAid

          public AddProsthesisAidResponse addProsthesisAid(AddProsthesisAidRequest request)

      Il servizio consente di inserire un nuovo ausilio protesico associato ad una nota nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato l'ausilio protesico
        - Oggetto contenente i dati dell'ausilio protesico da registrare
      Returns:
        AddProsthesisAidResponse che include i dettagli dell'ausilio protesico inserito.

    - #### addSymptom

          public AddSymptomResponse addSymptom(AddSymptomRequest request)

      Il servizio consente di inserire un nuovo sintomo associato ad una nota nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il sintomo
        - Oggetto contenente i dati del sintomo da registrare
      Returns:
        AddSymptomResponse che include i dettagli del sintomo inserito.

    - #### addTravelPersonalInfo

          public AddTravelPersonalInfoResponse addTravelPersonalInfo(AddTravelPersonalInfoRequest request)

      Il servizio consente di inserire le informazioni personali di viaggio di un paziente associate ad una nota nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui sono associati i dettagli di viaggio
        - Oggetto contenente i dati del viaggio da registrare
      Returns:
        AddTravelPersonalInfoResponse che include i dettagli delle informazioni di viaggio inserite.

    - #### deleteDocument

          public DeleteDocumentResponse deleteDocument(DeleteDocumentRequest request)

      Il servizio consente di effettuare una eliminazione logica del documento nel database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del documento da eliminare
      Returns:
        DeleteDocumentResponseDTO che include l'ID del documento eliminato.

    - #### deleteNote

          public DeleteNoteResponse deleteNote(DeleteNoteRequest request)

      Il servizio consente di effettuare una eliminazione logica della nota sul database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota da eliminare
      Returns:
        DeleteNoteResponseDTO che include l'ID della nota eliminata.

    - #### deleteDetection

          public DeleteDetectionResponse deleteDetection(DeleteDetectionRequest request)

      Il servizio consente di effettuare una eliminazione logica della rilevazione associata a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della rilevazione da eliminare
      Returns:
        DeleteDetectionResponse che conferma l'eliminazione della rilevazione.

    - #### deleteDrug

          public DeleteDrugResponse deleteDrug(DeleteDrugRequest request)

      Il servizio consente di effettuare una eliminazione logica del farmaco associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del farmaco da eliminare
      Returns:
        DeleteDrugResponse che conferma l'eliminazione del farmaco.

    - #### deleteEvent

          public DeleteEventResponse deleteEvent(DeleteEventRequest request)

      Il servizio consente di effettuare una eliminazione logica del evento associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID dell'evento da eliminare
      Returns:
        DeleteEventResponse che conferma l'eliminazione dell'evento.

    - #### deleteHealthcareContact

          public DeleteHealthcareContactResponse deleteHealthcareContact(DeleteHealthcareContactRequest request)

      Il servizio consente di effettuare una eliminazione logica del contatto con una struttura sanitaria associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del contatto con la struttura sanitaria da eliminare
      Returns:
        DeleteHealthcareContactResponse che conferma l'eliminazione del contatto con la struttura sanitaria.

    - #### deleteOtherContact

          public DeleteOtherContactResponse deleteOtherContact(DeleteOtherContactRequest request)

      Il servizio consente di effettuare una eliminazione logica del contatto di medicina non convenzionale associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del contatto di medicina non convenzionale da eliminare
      Returns:
        DeleteOtherContactResponse che conferma l'eliminazione del contatto di medicina non convenzionale.

    - #### deleteOtherProduct

          public DeleteOtherProductResponse deleteOtherProduct(DeleteOtherProductRequest request)

      Il servizio consente di effettuare una eliminazione logica dell'altro prodotto associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID dell'altro prodotto da eliminare
      Returns:
        DeleteOtherProductResponse che conferma l'eliminazione dell'altro prodotto.

    - #### deletePain

          public DeletePainResponse deletePain(DeletePainRequest request)

      Il servizio consente di effettuare una eliminazione logica del dolore associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del dolore da eliminare
      Returns:
        DeletePainResponse che conferma l'eliminazione del dolore.

    - #### deleteProsthesisAid

          public DeleteProsthesisAidResponse deleteProsthesisAid(DeleteProsthesisAidRequest request)

      Il servizio consente di effettuare una eliminazione logica dell'ausilio o protesi associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della protesi/ausilio da eliminare
      Returns:
        DeleteProsthesisAidResponse che conferma l'eliminazione della protesi/ausilio.

    - #### deleteSymptom

          public DeleteSymptomResponse deleteSymptom(DeleteSymptomRequest request)

      Il servizio consente di effettuare una eliminazione logica del sintomo associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del sintomo da eliminare
      Returns:
        DeleteSymptomResponse che conferma l'eliminazione del sintomo.

    - #### deleteTravelPersonalInfo

          public DeleteTravelPersonalInfoResponse deleteTravelPersonalInfo(DeleteTravelPersonalInfoRequest request)

      Il servizio consente di effettuare una eliminazione logica delle informazioni sul viaggio personale di un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del viaggio da eliminare
      Returns:
        DeleteTravelPersonalInfoResponse che conferma l'eliminazione delle informazioni di viaggio.

    - #### updateDocument

          public UpdateDocumentResponse updateDocument(UpdateDocumentRequest request)

      Il servizio consente di modificare un documento esistente sul database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del documento da modificare
        - Oggetto contenente il documento da modificare
      Returns:
        UpdateDocumentResponseDTO che include l'ID del documento modificato.

    - #### updateNote

          public UpdateNoteResponse updateNote(UpdateNoteRequest request)

      Il servizio consente di modificare una nota esistente sul database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota da modificare
        - Oggetto contenente la nota da modificare
      Returns:
        UpdateNoteResponseDTO che include l'ID della nota modificata.

    - #### updateDetection

          public UpdateDetectionResponse updateDetection(UpdateDetectionRequest request)

      Il servizio consente di modificare una rilevazione per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della rilevazione da aggiornare
        - Dettagli della rilevazione da aggiornare
      Returns:
        UpdateDetectionResponse che conferma l'aggiornamento della rilevazione.

    - #### updateDrug

          public UpdateDrugResponse updateDrug(UpdateDrugRequest request)

      Il servizio consente di modificare un farmaco per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del farmaco da aggiornare
        - Dettagli del farmaco da aggiornare
      Returns:
        UpdateDrugResponse che conferma l'aggiornamento del farmaco.

    - #### updateEvent

          public UpdateEventResponse updateEvent(UpdateEventRequest request)

      Il servizio consente di modificare un evento per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID dell'evento da aggiornare
        - Dettagli dell'evento da aggiornare
      Returns:
        UpdateEventResponse che conferma l'aggiornamento dell'evento.

    - #### updateHealthcareContact

          public UpdateHealthcareContactResponse updateHealthcareContact(UpdateHealthcareContactRequest request)

      Il servizio consente di modificare un contatto sanitario per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del contatto sanitario da aggiornare
        - Dettagli aggiornati del contatto sanitario
      Returns:
        UpdateHealthcareContactResponse che conferma l'aggiornamento del contatto sanitario.

    - #### updateOtherContact

          public UpdateOtherContactResponse updateOtherContact(UpdateOtherContactRequest request)

      Il servizio consente di modificare contatto di medicina non convenzionale per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del contatto di medicina non convenzionale da aggiornare
        - Dettagli aggiornati del contatto di medicina non convenzionale
      Returns:
        UpdateOtherContactResponse che conferma l'aggiornamento del contatto di medicina non convenzionale.

    - #### updateOtherProduct

          public UpdateOtherProductResponse updateOtherProduct(UpdateOtherProductRequest request)

      Il servizio consente di modificare un altro prodotto per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del prodotto non convenzionale da aggiornare
        - Dettagli aggiornati del prodotto non convenzionale
      Returns:
        UpdateOtherProductResponse che conferma l'aggiornamento del prodotto non convenzionale.

    - #### updatePain

          public UpdatePainResponse updatePain(UpdatePainRequest request)

      Il servizio consente di modificare un dolore per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del dolore da aggiornare
        - Dettagli aggiornati del dolore
      Returns:
        UpdatePainResponse che conferma l'aggiornamento del dolore.

    - #### updateProsthesisAid

          public UpdateProsthesisAidResponse updateProsthesisAid(UpdateProsthesisAidRequest request)

      Il servizio consente di modificare una protesi o ausilio per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della protesi o ausilio da aggiornare
        - Dettagli aggiornati della protesi o ausilio
      Returns:
        UpdateProsthesisAidResponse che conferma l'aggiornamento della protesi o ausilio.

    - #### updateSymptom

          public UpdateSymptomResponse updateSymptom(UpdateSymptomRequest request)

      Il servizio consente di modificare un sintomo per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del sintomo da aggiornare
        - Dettagli aggiornati del sintomo
      Returns:
        UpdateSymptomResponse che conferma l'aggiornamento del sintomo.

    - #### updateTravelPersonalInfo

          public UpdateTravelPersonalInfoResponse updateTravelPersonalInfo(UpdateTravelPersonalInfoRequest request)

      Il servizio consente di modificare le informazioni personali relative a un viaggio per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del viaggio da aggiornare
        - Dettagli aggiornati del viaggio
      Returns:
        UpdateTravelPersonalInfoResponse che conferma l'aggiornamento delle informazioni personali sul viaggio.

    - #### downloadDocument

          public DownloadDocumentResponse downloadDocument(DownloadDocumentRequest request)

      Il servizio consente di effettuare il download di un documento attivo e associato al paziente in input
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del documento da scaricare
      Returns:
        DownloadDocumentResponseDTO che include l'oggetto contenente il documento scaricato.

    - #### getNoteList

          public GetNoteListResponse getNoteList(GetNoteListRequest request)

      Il servizio consente di visualizzare l'elenco delle note attive e associate al paziente in input
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
      Returns:
        GetNoteListResponseDTO che include la lista di oggetti contenenti le note.